Subject: Re: [Mpls-interop] mpls-tp oam requirements draft

From: David Ward <[email-masked]>
Date: Wed, 30 Jul 2008 00:46:09 -0500

Italo -

On Jul 29, 2008, at 7:12 PM, Italo Busi wrote:

> Dave,
>
> I am not sure whether your objective is either:
> a) being capable to implement MPLS-TP over existing IP/MPLS routers

DW: Yes as I quoted from the framework slides

> b) being capable to use some of the new OAM tools defined for MPLS- 
> TP within IP/MPLS
>

DW: Yes as I quoted from the framework slides

>
> I understand that a requirement stating that "IP addressing and  
> forwarding MUST NOT or SHOULD NOT be supported" will rule out both  
> options and therefore you disagree with it.
>

DW: Yes.

>
> I agree with you but as far as I can remember, we have not such a  
> requirement in any MPLS-TP document.
>

DW: I quoted the slides to show the relevant parts of the discussion  
and there are clearly more references. In the current set of docs it  
is far too strong w/ the use of language as we have been focusing on  
the relevant requirements for the non-IP case. Technically it is not  
limiting but, the language is too tight.

>
> If my memory fails, this is a mistake we must fix.
>

DW: We need to find the fix. If we can agree there will be a fix I  
can describe the goal stated clearly below in my preso and we can  
move forward happily. I can state the fix will be in all -01 versions  
of the draft.

> However, there is also the an objective to implement MPLS-TP on  
> devices that are not IP routers.
>
> If we say that "IP addressing, routing and forwarding MUST be  
> supported", I interpreted this as ruling out this option.
>

DW: You are interpreting this incorrectly. That is 180 degrees  
opposite of "IP MUST NOT be required" which is the requirement you  
need. I want to be able to do both scenarios and I want it to be  
clear that both non-IP addressed deployments AND IP addressed  
deployments must be able to exist in the internet and there is a  
common suite of tools and protocols.

DW: Simple goal, nothing hidden :-)

> I wonder whether it is not worthwhile to state that "IP addressing,  
> routing and forwarding MAY be supported".
>

DW: MAY wouldn't do it for me or interop.

-DWard

> Italo
>
> From: David Ward [mailto:[email-masked]]
> Sent: Tuesday, July 29, 2008 6:03 PM
> To: Italo Busi
> Cc: David Ward; 'Weingarten, Yaacov (NSN - IL/Hod HaSharon)';  
> 'Sprecher, Nurit (NSN - IL/Hod HaSharon)'; 'Martin Vigoureux'; 'Loa  
> Andersson'; 'BOCCI Matthew'; 'LEVRAU LIEVEN'; 'Huub van Helvoort';  
> 'Lou Berger'; 'Ron Bonica'; 'Dan Romascanu'; 'Dinesh Mohan'; 'Andy  
> Malis'; 'Stewart Bryant'; 'malcolm Betts'; 'Yuji Tochio'; 'Thomas  
> Nadeau'; 'MEURIC Julien RD-CORE-LAN'; philippe.niger@orange- 
> ftgroup.com; 'LASSERRE Marc'
> Subject: Re: mpls-tp oam requirements draft
>
> Let me try again on the points I am trying to make:
>
> IP addressing and forwarding is NOT required (and therefore doesn't  
> have to be used if something else is invented)
>
> IP addressing, routing and forwarding MUST be supported
>
> Supported does not mean deployed in any network or required to be  
> deployed in any network.
>
> We are at a *full stop*  if IP addressing and forwarding MUST NOT  
> or  SHOULD NOT  be supported. It would mean that existing MPLS  
> deployments are broken and there is no interoperability or ability  
> to have any benefits of MPLS-TP technology in IP/MPLS networks.
>
> If the requirement was modified to "IP addressing, routing and  
> forwarding MUST be supported for interoperability with IP/MPLS  
> networks." I am fine. Not sure if this refinement helps.
>
> I don't think that either variant of the requirement is really that  
> monumental. I prefer that we do not leave this open during the talk  
> and left to design issues. This design point is far too fundamental.
>
> -DWard
>
> On Jul 29, 2008, at 10:48 AM, Italo Busi wrote:
>
>> Dave,
>>
>> I agree with Yaacov and Nurit.
>>
>> I think we need to start discussing the interoperability scenarios  
>> as well as the addressing requirements in order to understand all  
>> the implications .
>>
>> I wonder whether for the tomorrow's presentation it is not  
>> worthwhile just to mention as open issues:
>> a) the analysis of what are the implications on OAM requirements  
>> to achieve interoperability with existing MPLS and PWE control and  
>> forwarding planes
>> b) addressing requirements
>>
>> We can then find some time time during the week to sit down and  
>> brainstorm a little bit more in details the issue (I would like to  
>> solve it as soon as possible).
>>
>> Italo
>>
>> From: Weingarten, Yaacov (NSN - IL/Hod HaSharon)  
>> [mailto:[email-masked]]
>> Sent: Tuesday, July 29, 2008 4:30 PM
>> To: Sprecher, Nurit (NSN - IL/Hod HaSharon); ext David Ward
>> Cc: Martin Vigoureux; Loa Andersson; BOCCI Matthew; BUSI ITALO;  
>> LEVRAU LIEVEN; Huub van Helvoort; Lou Berger; Ron Bonica; Dan  
>> Romascanu; Dinesh Mohan; Weingarten, Yaacov (NSN - IL/Hod  
>> HaSharon); Andy Malis; Stewart Bryant; malcolm Betts; Yuji Tochio;  
>> Thomas Nadeau; MEURIC Julien RD-CORE-LAN; philippe.niger@orange- 
>> ftgroup.com; LASSERRE Marc
>> Subject: RE: mpls-tp oam requirements draft
>>
>> Hi,
>> One slight correction to Nurit's comment see below,
>> yaacov
>> From: Sprecher, Nurit (NSN - IL/Hod HaSharon)
>> Sent: Tuesday, July 29, 2008 18:13
>> To: ext David Ward
>> Cc: Martin Vigoureux; Loa Andersson; BOCCI Matthew; BUSI ITALO;  
>> LEVRAU LIEVEN; Weingarten, Yaacov (NSN - IL/Hod HaSharon); Huub  
>> van Helvoort; Lou Berger; Ron Bonica; Dan Romascanu; Dinesh Mohan;  
>> Andy Malis; Stewart Bryant; malcolm Betts; Yuji Tochio; Thomas  
>> Nadeau; Sprecher, Nurit (NSN - IL/Hod HaSharon); MEURIC Julien RD- 
>> CORE-LAN; [email-masked]; LASSERRE Marc
>> Subject: RE: mpls-tp oam requirements draft
>> Hi Dave,
>> Please see inline.
>> I propose to discuss it offline before the meeting.
>> Best regards,
>> Nurit
>> From: ext David Ward [mailto:[email-masked]]
>> Sent: Tuesday, July 29, 2008 17:28
>> To: Sprecher, Nurit (NSN - IL/Hod HaSharon)
>> Cc: David Ward; Martin Vigoureux; Loa Andersson; BOCCI Matthew;  
>> BUSI ITALO; LEVRAU LIEVEN; Weingarten, Yaacov (NSN - IL/Hod  
>> HaSharon); Huub van Helvoort; Lou Berger; Ron Bonica; Dan  
>> Romascanu; Dinesh Mohan; Andy Malis; Stewart Bryant; malcolm  
>> Betts; Yuji Tochio; Thomas Nadeau; MEURIC Julien RD-CORE-LAN;  
>> [email-masked]; LASSERRE Marc
>> Subject: Re: mpls-tp oam requirements draft
>> On page 18 it is stated:
>> "Mechanisms and capabilities must be able to interoperate with  
>> existing MPLS and PWE control and forwarding planes"
>> <NS> I absolutely agree with this requirement and this is one of  
>> my comments for tomorrow that we need to define a work item on the  
>> interworking with MPLS.
>> Still we may start from Greenfield or have a close island………where  
>> interworking is not needed, and still IP is not necessarily needed  
>> to be supported.
>> On slide 24 in the right hand column, the "Multiple" under Node/ 
>> Link address is to represent this as well as the discussion on  
>> slide 76 and 77. Throughout the doc there are other examples of  
>> using IP node addressing/forwarding and that currently the  
>> addressing structure for non-IP isn't defined.
>> <NS> on the same time slide 32 discussed the considerations for  
>> the node identification. One if the questions is "What IP  
>> identifier if we do not need IP to support forwarding or OAM?"  It  
>> was clear that this is just a design issue, but it is needed to be  
>> addressed.
>> "IP is not required"  != "IP cannot be used."
>> <NS> Absolutely. But is definitely not MUST use.
>> [yw]  The equation definitely does not mean that "IP MUST be  
>> supported"
>> -DWard
>

_______________________________________________
Mpls-interop mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls-interop

---

From: David Ward <[email-masked]>
Date: Wed, 30 Jul 2008 05:10:06 -0500

Lieven,

It isn't necessarily outside the scope, it is a different deployment  
that can't be precluded.

Your deployment is critical and understood. You have OOB mgmt network  
that may be running IP.  In other cases it can be inbound and running  
IP.

We'll work through the language of how to make sure we have it clear  
what, where, when IP is or is not mandatory and on what segments,  
etc. It should be clear no one is trying to preclude the other's  
scenario. We are just talking past each other.

-DWard

On Jul 30, 2008, at 4:54 AM, LEVRAU, LIEVEN ((LIEVEN)) wrote:

> That is outside the scope
> You can not assume that when you use SNMP to configure  a box that  
> it will have an inband IP connectivity.
> Think of optical crossconnects
>
> Secondly, the nms communication can occur via a completely  
> different/new/old protocol.
>
>
> ./
> Lieven
> From: Romascanu, Dan (Dan) [mailto:[email-masked]]
> Sent: Wednesday, July 30, 2008 11:52 AM
> To: Malcolm Betts; David Ward; Sprecher, Nurit (NSN - IL/Hod HaSharon)
> Cc: BUSI, ITALO (ITALO); Weingarten, Yaacov (NSN - IL/Hod  
> HaSharon); VIGOUREUX, MARTIN (MARTIN); Loa Andersson; Bocci,  
> Matthew (Matthew); LEVRAU, LIEVEN (LIEVEN); Huub van Helvoort; Lou  
> Berger; Ron Bonica; Dinesh Mohan; Andy Malis; Stewart Bryant; Yuji  
> Tochio; Thomas Nadeau; MEURIC Julien RD-CORE-LAN; George Swallow  
> (swallow); [email-masked]; LASSERRE, Marc (Marc)
> > We do not need IP addressing if we use static configuration from  
> a management system.  In this case the nodes/endpoints only have  
> management plane names.
>
> How is the management system performing configuration operations on  
> network devices without IP addressing?
>
> Dan
>
>
>
> From: Malcolm Betts [mailto:[email-masked]]
> Sent: Wednesday, July 30, 2008 12:33 PM
> To: David Ward; Sprecher, Nurit (NSN - IL/Hod HaSharon)
> Cc: Italo Busi; Weingarten, Yaacov (NSN - IL/Hod HaSharon); Martin  
> Vigoureux; Loa Andersson; BOCCI Matthew; LEVRAU LIEVEN; Huub van  
> Helvoort; Lou Berger; Ron Bonica; Romascanu, Dan (Dan); Dinesh  
> Mohan; Andy Malis; Stewart Bryant; Yuji Tochio; Thomas Nadeau;  
> MEURIC Julien RD-CORE-LAN; George Swallow (swallow);  
> All, I think we are confusing a number of issues - so let me try to  
> pull them apart:
>
> We do not need IP for data plane forwarding:
>
> We do not need IP addressing if we use static configuration from a  
> management system.  In this case the nodes/endpoints only have  
> management plane names.
>
> If we have an IP control plane we must have IP addresses for the  
> control plane to operate.  The JWT team agreed that we would use a  
> GMPLS/ASON control plane.  The architecture describes the  
> separation between the names for a resource used for forwarding,  
> management and control plane.  So if we have a control plane we  
> should not have any problems - this should be addressed by the  
> ccamp control plane draft
>
> So it appears that the interoperability issue is how do we  
> interoperate  in a network where we have one "area" that is run by  
> an IP/MPLS control plane and another that uses static configuration.
>
> That should be addressed by the network management draft (and the  
> ccamp control plane draft?).
> Malcolm Betts
> Nortel Networks
> Phone: +1 613 763 7860 (ESN 393)
> email: [email-masked]
>
> Confidentiality Notice:  This message and any attachments may  
> contain information that is privileged and confidential. If you  
> have reason to believe that you are not the intended recipient or a  
> person responsible for delivering this message to an intended  
> recipient, you are hereby notified that any review, dissemination,  
> distribution, or copying of this message is strictly prohibited. If  
> you have reason to believe that you are not the intended recipient  
> or a person responsible for delivering this message to an intended  
> recipient, please contact the sender immediately by reply email and  
> destroy all copies of the original message.
>
>
>
> Sent: Wednesday, July 30, 2008 5:15 AM
> Cc: David Ward; Italo Busi; Weingarten, Yaacov (NSN - IL/Hod  
> HaSharon); Martin Vigoureux; Loa Andersson; BOCCI Matthew; LEVRAU  
> LIEVEN; Huub van Helvoort; Lou Berger; Ron Bonica; Dan Romascanu;  
> Mohan, Dinesh (CAR:NP02); Andy Malis; Stewart Bryant; Betts,  
> Malcolm (CAR:X632); Yuji Tochio; Thomas Nadeau; MEURIC Julien RD- 
> CORE-LAN; George Swallow (swallow); philippe.niger@orange- 
> Nurit -
> Yep, see my next email on this thread ... We have to figure out the  
> right wording for #2 and interoperability.  If there is no #2 or  
> interoperability it is when you have non-IPaddressing throughout  
> the deployment. I can state the requirement for non-IP but, w/o  
> understanding what the non-IP addressing scheme will be; it is hard  
> for me to conceptualize.  Just a matter of time and discussion.
>
> We'll find a way to work this out ...
>
> -DWard
>
>
>
> On Jul 30, 2008, at 4:05 AM, Sprecher, Nurit (NSN - IL/Hod  
> HaSharon) wrote:
>
>
> Hi David,
> The main question is what we mean by "IP addressing and forwarding  
> MUST be supported"…….(1) MUST be implemented by any equipment, or  
> (2) must be implemented if needed in the deployment……..
> If the last case (2) holds, I have no issue……
> If the first one holds it may be problematic…as there is a clear  
> requirement to be able to implement in some scenarios cheap  
> transport equipments with no IP capabilities and these scenarios  
> that it is not needed we should not enforce the implementation.
> Maybe we should say that IP addressing routing and forwarding MUST  
> be supported when it needs to interoperate with IP/MPLS networks.
> Please see also inline….
> Best regards,
> Nurit
> Sent: Tuesday, July 29, 2008 20:03
> To: Italo Busi
> Cc: David Ward; Weingarten, Yaacov (NSN - IL/Hod HaSharon);  
> Sprecher, Nurit (NSN - IL/Hod HaSharon); 'Martin Vigoureux'; 'Loa  
> a) the analysis of what are the implications on OAM requirements to  
> achieve interoperability with existing MPLS and PWE control and  
> forwarding planes
> LEVRAU LIEVEN; Weingarten, Yaacov (NSN - IL/Hod HaSharon); Huub van  
> Helvoort; Lou Berger; Ron Bonica; Dan Romascanu; Dinesh Mohan; Andy  
> Malis; Stewart Bryant; malcolm Betts; Yuji Tochio; Thomas Nadeau;  
> Sprecher, Nurit (NSN - IL/Hod HaSharon); MEURIC Julien RD-CORE-LAN;  
> Romascanu; Dinesh Mohan; Andy Malis; Stewart Bryant; malcolm Betts;  
> Yuji Tochio; Thomas Nadeau; MEURIC Julien RD-CORE-LAN;  
> <NS> I absolutely agree with this requirement and this is one of my  
> comments for tomorrow that we need to define a work item on the  
> interworking with MPLS.
> <NS> on the same time slide 32 discussed the considerations for the  
> node identification. One if the questions is "What IP identifier if  
> we do not need IP to support forwarding or OAM?"  It was clear that  
> this is just a design issue, but it is needed to be addressed.